Bug 82253 - redhat-config-xfree86 will not generate a XF86Config
redhat-config-xfree86 will not generate a XF86Config
Status: CLOSED WORKSFORME
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
phoebe
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
: 82252 (view as bug list)
Depends On:
Blocks: 79578
  Show dependency treegraph
 
Reported: 2003-01-20 11:04 EST by Alin Osan
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-24 17:42:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alin Osan 2003-01-20 11:04:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
If XF86Config is missing from /etc/X11 redhat-config-xfree86 will not generate a
new config file, and same thing happens if the XF86Config is ruined. Running
"redhat-config-xfree86 --reconfig" does not generate a new config file. There is
no other tool to generate a new XF86Config file since xf86config was removed
from XFree86-4.2.99.2-0.20021217.0.i386.rpm.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Delete/move/ruin /etc/X11/XF86Config
2.run redhat-config-xfree86
3.run redhat-config-xfree86 --reconfig
    

Actual Results:  Error message:
"Couldn't start X server, trying with a fresh configuration
Error, cannot start X server."
A new or restored XF86Config is not generated by redhat-config-xfree86

Expected Results:  A new XF86Config file

Additional info:

This is a bug report for RedHat Linux Beta (Phoebe), but I couldn't find an
option to choose a beta product in you bugzilla form.
Comment 1 Brent Fox 2003-01-20 11:08:45 EST
*** Bug 82252 has been marked as a duplicate of this bug. ***
Comment 2 Brent Fox 2003-01-20 11:13:20 EST
Can you look in /tmp and see if there are any files that begin with a "@" and
end in "xf86config"?  If there are, they are the XF86Config files that
redhat-config-xfree86 was trying to use.  Please attach them to this report.

Also, try copying the most recent of those files to /etc/X11/XF86Config and then
run "X" from the command line.  An error message should appear that tells where
the X server is failing.  What does the message say?

My guess it that it has something to do with an invalid pointer.  Also, it would
be helpful if you attach your /etc/sysconfig/mouse file.

I think that we are grabbing an incorrect value for the "XMOUSETYPE" from
/etc/sysconfig/mouse and trying to use that in XF86Config, which is causing the
problem.
Comment 3 David Lawrence 2003-01-20 23:15:39 EST
Changing product to Red Hat Public Beta so reporter will be able to edit bug report.
Comment 4 Brent Fox 2003-02-04 17:09:57 EST
Files received via email:

[aline@ronnie tmp]$ less /etc/sysconfig/mouse
FULLNAME="Genius - NetScroll+ (PS/2)"
MOUSETYPE="netmouse"
XEMU3="no"
XMOUSETYPE="geniusscrollps/2+"
DEVICE=/dev/psaux
OPTIONS="-t imps2 -m /dev/input/mice -M"


[aline@ronnie tmp]$ less /tmp/\@9454.0xf86config
# XFree86 4 configuration created by pyxf86config

Section "ServerLayout"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"
        InputDevice    "DevInputMice" "AlwaysCore"
EndSection

Section "Files"
# RgbPath is the location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

        RgbPath      "/usr/X11R6/lib/X11/rgb"
        FontPath     "unix/:7100"
EndSection

Section "Module"
        Load  "dbe"
        Load  "extmod"
        Load  "fbdevhw"
        Load  "glx"
        Load  "record"
        Load  "freetype"
        Load  "type1"
EndSection

Section "InputDevice"
# Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
#       Option  "Xleds"         "1 2 3"

# To disable the XKEYBOARD extension, uncomment XkbDisable.
#       Option  "XkbDisable"

# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#       Option  "XkbModel"      "pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#       Option  "XkbModel"      "microsoft"
#
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#       Option  "XkbLayout"     "de"
# or:
#       Option  "XkbLayout"     "de"
#       Option  "XkbVariant"    "nodeadkeys"
#
# If you'd like to switch the positions of your capslock and
# control keys, use:
#       Option  "XkbOptions"    "ctrl:swapcaps"
# Or if you just want both to be control, use:
#       Option  "XkbOptions"    "ctrl:nocaps"
#
        Identifier  "Keyboard0"
        Driver      "keyboard"
        Option      "XkbRules" "xfree86"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us"
EndSection

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "PS/2"
        Option      "Device" "/dev/psaux"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "no"
EndSection

Section "InputDevice"
# If the normal CorePointer mouse is not a USB mouse then
# this input device can be used in AlwaysCore mode to let you
# also use USB mice at the same time.
        Identifier  "DevInputMice"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "no"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Philips Brilliance 107(17inch/CM8800)"
        DisplaySize  300        230
        HorizSync    30.0 - 86.0
        VertRefresh  50.0 - 160.0
        Option      "dpms"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "nv"
        VendorName  "Videocard vendor"
        BoardName   "RIVA TNT2"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     16
        SubSection "Display"
                Modes    "800x600"
        EndSubSection
        SubSection "Display"
                Depth     16
                Modes    "800x600" "640x480"
        EndSubSection
EndSection

Section "DRI"
        Group        0
        Mode         0666
Comment 5 Brent Fox 2003-02-07 00:37:30 EST
Alin, can you try upgrading to the latest redhat-config-xfree86 and
redhat-config-mouse in Rawhide?

If so, then try the following:
1) Log in as root to the console and make sure X is not running
2) Move the /etc/sysconfig/mouse and /etc/X11/XF86Config files out of the way.
3) Run redhat-config-mouse and choose your mouse.
4) Run redhat-config-xfree86 and see if it can start up a GUI.

Does this work?
Comment 6 Brent Fox 2003-02-18 17:18:03 EST
ping?
Comment 7 Brent Fox 2003-02-24 17:42:20 EST
Closing due to inactivity. 

Note You need to log in before you can comment on or make changes to this bug.